1.2.1 Software requirements for Fast Models

Fast Models needs certain Linux or Microsoft Windows software. ARM tests the other software listed here for use with Fast Models.

Linux

Operating system
Red Hat Enterprise Linux version 5 or 6 (on either 32-bit or 64-bit architectures), or Ubuntu 12.04 Long Term Support (LTS) (on 64-bit architectures).
Shell
A shell compatible with sh, such as bash or tcsh.
Compiler
gcc version 4.1.2 (32-bit or 64-bit) or gcc 4.4.4 (32-bit or 64-bit), or gcc 4.6.3 (64-bit).
PDF Reader
Adobe does not support Adobe Reader on Linux. ARM recommends system provided equivalents, such as Evince, instead.
License management utilities
Floating licenses require FLEXnet version 11 or higher. Use the highest version provided with your ARM tools.

Note

Security Enhanced Linux is enabled by default on Red Hat Enterprise Linux. Fast Models only supports SELinux for 64-bit models, so disable SELinux before you start up 32-bit models:
  1. Access /etc/sysconfig/selinux.
  2. Change SELINUX=enforcing to SELINUX=permissive.
  3. The FLEXnet tools are an installation option.

Microsoft Windows

Operating system
Microsoft Windows 7 with Service Pack 1 (32-bit or 64-bit).
Compiler
  • Microsoft Visual Studio 2008:
    • Microsoft Visual Studio 2008 Service Pack 1 (KB945140).
    • Microsoft Visual Studio 2008 Service Pack 1 ATL Security Update (KB971092).
    • Microsoft Visual C++ 2008 Redistributable Package ATL Security Update (KB973551), to run models compiled on a different machine.
  • Microsoft Visual Studio 2010:
    • Microsoft Visual Studio 2010 Service Pack 1 (KB983509).
    • Microsoft Visual C++ 2010 Redistributable Package (KB2019667), to run models compiled on a different machine.
PDF Reader
Adobe Reader version 8 or higher.
License management utilities
Floating licenses require FLEXnet version 11 or higher. Use the highest version provided with your ARM tools.

Note

  • Fast Models does not support Express editions of Microsoft Visual Studio.
  • The FLEXnet tools are an installation option.
  • If you are using Microsoft Windows Remote Desktop (RDP) to access System Canvas or a simulation generated by it, the type of license can restrict use of the product:
    • Floating licenses require a license server, and have no RDP restrictions. They are issued on purchase.
    • Node locked licenses apply to specific workstations. Existing node locked licenses and evaluation licenses do not support running the product over RDP connections. Please contact license.support@arm.com for further details.
Non-ConfidentialPDF file icon PDF versionARM DUI0370S
Copyright © 2007-2014 ARM. All rights reserved.